소스 검색

New installer

Pierre-Yves Barriat 3 년 전
부모
커밋
eaeefe9291
10개의 변경된 파일131개의 추가작업 그리고 381개의 파일을 삭제
  1. 10 60
      README.md
  2. 23 63
      ceci_config
  3. 7 7
      elic_config
  4. 54 9
      install.sh
  5. 17 0
      install_ceci.sh
  6. 13 0
      install_elic.sh
  7. 0 113
      ssh_config
  8. BIN
      sshpass/bin/sshpass
  9. 0 122
      sshpass/share/man/man1/sshpass.1
  10. 7 7
      station_config

+ 10 - 60
README.md

@@ -2,86 +2,36 @@
 
 Troubleshooting for ssh connection
 
-## Getting started
-
-From scratch:
-
-```bash
-touch ~/.Xauthority
-ssh-keygen -t rsa
-```
-
-> type `Enter` twice
-
-```bash
-cd
-cd .ssh
-wget https://gogs.elic.ucl.ac.be/TECLIM/SSH_connection/raw/master/ssh_config
-mv ssh_config config
-chmod 600 config
-vi config
-```
-
-> from outside: [ssh_config](http://www.climate.be/documents/download?files=ssh_config)
-
-In `vi config`:
-
-```
-:%s/jsmith/your_username/g
-:wq
-```
-
-Import your `id_rsa.ceci` file in `~/.ssh/config`
-
-```bash
-ssh-copy-id -i ~/.ssh/id_rsa.pub gwelic
-```
-
 ## Install
 
-First, clone the `TECLIM/SSH_connection` repository. For instance:
+First, clone the `TECLIM/SSH_connection` repository:
 
 ```
-git clone https://gogs.elic.ucl.ac.be/TECLIM/SSH_connection.git # https classical
-
-git clone ssh://git@www.climate.be:3022/TECLIM/SSH_connection.git # ssh classical
-
-git clone ssh://egit/TECLIM/SSH_connection.git # ssh with config definition
-
-git clone ssh://regit/TECLIM/SSH_connection.git # ssh with config definition + via elic gateway
+git clone https://gogs.elic.ucl.ac.be/TECLIM/SSH_connection.git
 ```
 
-Then, go to the repository, open & adapt the `install.sh` script: you must change the password!
-You can also change the machine name.
-
-And run it:
+And now:
 
 ```bash
 cd SSH_connection
 ./install.sh
 ```
 
-Now you can add your identity on a remote machine with:
-
-```bash
-ssh-copy-id -i ~/.ssh/id_rsa.pub remote_machine
-```
-
 ## Usage
 
 A few examples:
 
 ```bash
 # from local elic network
-ssh ozone
-rsync -av my_folder ozone:~
-git clone ssh://egit/TECLIM/Git_Training
+ssh coriolis
+rsync -av my_folder coriolis:~
+git clone ssh://gogs/TECLIM/Git_Training
 
 # from outside
-ssh ozone%gwelic
-ssh lemaitre2%gwcism
-rsync -av my_folder ozone%gwelic:~
-git clone ssh://regit/TECLIM/Git_Training
+ssh coriolis%gwelic
+ssh lemaitre3%gwcism
+rsync -av my_folder coriolis%gwelic:~
+git clone ssh://gogs/TECLIM/Git_Training
 ```
 
 ## Contributors

+ 23 - 63
ceci_config

@@ -5,13 +5,10 @@ Host *
 
 # Gateways ----------------------------------------------------------------------------------------
 
-Host gwelic gwcism gwceci
-    User pbarriat
+Host gwcism gwceci
+    User jsmith
     ForwardX11 yes
 
-Host gwelic
-    Hostname www.climate.be
-    IdentityFile ~/.ssh/id_rsa
 Host gwcism
     Hostname gwcism.cism.ucl.ac.be
     IdentityFile ~/.ssh/id_rsa
@@ -19,54 +16,26 @@ Host gwceci
     Hostname gwceci.cism.ucl.ac.be
     IdentityFile ~/.ssh/id_rsa.ceci
 
-# Jump --------------------------------------------------------------------------------------------
-
-Host *%gwelic
-    ProxyCommand ssh -q -W %h:%p gwelic
-Host *%gwcism
-    ProxyCommand ssh -q -W %h:%p gwcism
-Host *%gwceci
-    ProxyCommand ssh -q -W %h:%p gwceci
-
 # ELIC ---------------------------------------------------------------------------------------------
 
-Host *meteor* *lorenz* *aurora* *pelican* *coriolis* *cyclone*
-    ForwardX11 yes 
-    IdentityFile ~/.ssh/id_rsa
-
 Host meteor* lorenz* aurora* pelican* coriolis* cyclone*
-    User pbarriat
+    User jsmith
+    ForwardX11 yes
+    IdentityFile ~/.ssh/id_rsa
+    ProxyCommand ssh -i ~/.ssh/id_rsa gwcism.cism.ucl.ac.be -W %h:%p
 
-Host *cyclone*
+Host cyclone*
     HostName cyclone.elic.ucl.ac.be
-Host *cyclone%gwelic
-Host *cyclone%gwcism
-Host *cyclone%gwceci
-Host *coriolis*
+Host coriolis*
     HostName coriolis.elic.ucl.ac.be
-Host *coriolis%gwelic
-Host *coriolis%gwcism
-Host *coriolis%gwceci
-Host *meteor*
+Host meteor*
     HostName meteor.elic.ucl.ac.be
-Host *meteor%gwelic
-Host *meteor%gwcism
-Host *meteor%gwceci
-Host *lorenz*
+Host lorenz*
     HostName lorenz.elic.ucl.ac.be
-Host *lorenz%gwelic
-Host *lorenz%gwcism
-Host *meteor%gwceci
-Host *aurora*
+Host aurora*
     HostName aurora.elic.ucl.ac.be
-Host *aurora%gwelic
-Host *aurora%gwcism
-Host *aurora%gwceci
-Host *pelican*
+Host pelican*
     HostName pelican.cism.ucl.ac.be
-Host *pelican%gwcism
-Host *pelican%gwelic
-Host *pelican%gwceci
 
 # Git ---------------------------------------------------------------------------------------------
 
@@ -82,40 +51,31 @@ Host gogs*
 # Tier-1 ------------------------------------------------------------------------------------------
 
 Host zenobe*
-    User pbarriat
+    User jsmith
     ForwardX11 yes
     Hostname zenobe.hpc.cenaero.be
     IdentityFile ~/.ssh/id_rsa.ceci
-    ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwcism.cism.ucl.ac.be -W %h:%p
+    ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwceci.cism.ucl.ac.be -W %h:%p
 
 # CÉCI clusters -----------------------------------------------------------------------------------
 
-Host nic5 lemaitre3 manneback
-    User pbarriat
+Host nic5* lemaitre3* manneback*
+    User jsmith
     ForwardX11 yes
-    IdentityFile ~/.ssh/id_rsa.ceci
+    IdentityFile ~/.ssh/id_rsa
     ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwceci.cism.ucl.ac.be -W %h:%p
 
-Host lemaitre3
+Host lemaitre3*
     HostName lemaitre3.cism.ucl.ac.be
-Host nic5
+Host nic5*
     HostName nic5.segi.ulg.ac.be
-Host manneback
+Host manneback*
     HostName manneback.cism.ucl.ac.be
 
 # CISM clusters -----------------------------------------------------------------------------------
 
 Host storage*
     HostName storage.cism.ucl.ac.be
-    User pbarriat
-Host storage%gwcism
-
-# PRIVATE -----------------------------------------------------------------------------------------
-
-Host mine*
-    HostName xxx.xxx.xxx.xxx
-    ForwardX11 yes
-    User pbarriat
-Host mine%gwelic
-Host mine%gwceci
-Host mine%gwcism
+    User jsmith
+    IdentityFile ~/.ssh/id_rsa
+    ProxyCommand ssh -i ~/.ssh/id_rsa gwcism.cism.ucl.ac.be -W %h:%p

+ 7 - 7
elic_config

@@ -6,7 +6,7 @@ Host *
 # Gateways ----------------------------------------------------------------------------------------
 
 Host gwcism gwceci
-    User pbarriat
+    User jsmith
     ForwardX11 yes
     IdentityFile ~/.ssh/id_rsa.ceci
 
@@ -29,7 +29,7 @@ Host *meteor* *lorenz* *aurora* *pelican* *coriolis* *cyclone*
     IdentityFile ~/.ssh/id_rsa.ceci
 
 Host meteor* lorenz* aurora* pelican* coriolis* cyclone*
-    User pbarriat
+    User jsmith
 
 Host *cyclone*
     HostName cyclone.elic.ucl.ac.be
@@ -59,16 +59,16 @@ Host gogs*
 # Tier-1 ------------------------------------------------------------------------------------------
 
 Host zenobe*
-    User pbarriat
+    User jsmith
     ForwardX11 yes
     Hostname zenobe.hpc.cenaero.be
     IdentityFile ~/.ssh/id_rsa.ceci
-    ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwcism.cism.ucl.ac.be -W %h:%p
+    ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwceci.cism.ucl.ac.be -W %h:%p
 
 # CÉCI clusters -----------------------------------------------------------------------------------
 
 Host nic5 lemaitre3 manneback
-    User pbarriat
+    User jsmith
     ForwardX11 yes
     IdentityFile ~/.ssh/id_rsa.ceci
     ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwceci.cism.ucl.ac.be -W %h:%p
@@ -84,7 +84,7 @@ Host manneback
 
 Host storage*
     HostName storage.cism.ucl.ac.be
-    User pbarriat
+    User jsmith
 Host storage%gwcism
 
 # PRIVATE -----------------------------------------------------------------------------------------
@@ -92,4 +92,4 @@ Host storage%gwcism
 Host mine*
     HostName xxx.xxx.xxx.xxx
     ForwardX11 yes
-    User pbarriat
+    User jsmith

+ 54 - 9
install.sh

@@ -1,17 +1,62 @@
 #!/bin/bash
 
-[ ! -f $HOME/.ssh/config ] && mv $HOME/.ssh/config $HOME/.ssh/config_old
+TARGET=coriolis%gwelic
 
-[ ! -f $HOME/.ssh/id_rsa.pub ] && cat /dev/zero | ssh-keygen -q -N "" > /dev/null
-cat ssh_config | sed -e 's/jsmith/'$USER'/g' > $HOME/.ssh/config
+touch $HOME/.Xauthority
+mkdir $HOME/.ssh 2> /dev/null
 
-ssh-add 
-sshpass/bin/sshpass -p "My_password" ssh-copy-id -o StrictHostKeyChecking=no stratus.elic.ucl.ac.be
+[ -s $HOME/.ssh/config ] && mv $HOME/.ssh/config $HOME/.ssh/config_old
 
-cp sys/bashrc $HOME/.bashrc 
+[ ! -s $HOME/.ssh/id_rsa.ceci ] && echo "Create a CECI account and put your 'id_rsa.ceci' file in $HOME/.ssh !"
+[ ! -s $HOME/.ssh/id_rsa.ceci ] && exit
+chmod 600 $HOME/.ssh/id_rsa.ceci
+[ ! -s $HOME/.ssh/id_rsa.ceci.pub ] && ssh-keygen -y -f $HOME/.ssh/id_rsa.ceci > $HOME/.ssh/id_rsa.ceci.pub
+cat station_config | sed -e 's/jsmith/'$USER'/g' > $HOME/.ssh/config
 
-sshpass/bin/sshpass -p "My_password" ssh-copy-id -o StrictHostKeyChecking=no lorenz%gwelic
+ssh-copy-id -i $HOME/.ssh/id_rsa.ceci gwelic #2> /dev/null
+ssh-copy-id -i $HOME/.ssh/id_rsa.ceci $TARGET #2> /dev/null
 
-echo -e "Installation done.\n"
+ssh -q -o BatchMode=yes $TARGET exit
+if [ $? != "0" ]; then
+    echo "Installation failed"
+    exit
+fi
 
-echo -e "ssh lorenz%gwelic\n"
+scp ./install_elic.sh ./elic_config $TARGET:~
+scp $HOME/.ssh/id_rsa.ceci $HOME/.ssh/id_rsa.ceci.pub $TARGET:~/.ssh
+
+ssh -q -o BatchMode=yes $TARGET bash ./install_elic.sh
+ssh -q -o BatchMode=yes $TARGET rm -f ./install_elic.sh ./elic_config
+
+TARGET=manneback
+
+ssh-copy-id -i $HOME/.ssh/id_rsa.ceci gwcism #2> /dev/null
+ssh-copy-id -i $HOME/.ssh/id_rsa.ceci $TARGET #2> /dev/null
+
+scp ./install_ceci.sh ./ceci_config $TARGET:~
+scp $HOME/.ssh/id_rsa.ceci $HOME/.ssh/id_rsa.ceci.pub $TARGET:~/.ssh
+
+ssh -q -o BatchMode=yes $TARGET bash ./install_ceci.sh
+ssh -q -o BatchMode=yes $TARGET rm -f ./install_ceci.sh ./ceci_config
+
+TARGET=lemaitre3
+
+ssh-copy-id -i $HOME/.ssh/id_rsa.ceci $TARGET #2> /dev/null
+
+scp ./install_ceci.sh ./ceci_config $TARGET:~
+scp $HOME/.ssh/id_rsa.ceci $HOME/.ssh/id_rsa.ceci.pub $TARGET:~/.ssh
+
+ssh -q -o BatchMode=yes $TARGET bash ./install_ceci.sh
+ssh -q -o BatchMode=yes $TARGET rm -f ./install_ceci.sh ./ceci_config
+
+TARGET=zenobe
+
+ssh-copy-id -i $HOME/.ssh/id_rsa.ceci $TARGET #2> /dev/null
+
+scp ./install_ceci.sh ./ceci_config $TARGET:~
+scp $HOME/.ssh/id_rsa.ceci $HOME/.ssh/id_rsa.ceci.pub $TARGET:~/.ssh
+
+ssh -q -o BatchMode=yes $TARGET bash ./install_ceci.sh
+ssh -q -o BatchMode=yes $TARGET rm -f ./install_ceci.sh ./ceci_config
+
+echo -e "\nInstallation done.\n"

+ 17 - 0
install_ceci.sh

@@ -0,0 +1,17 @@
+#!/bin/bash
+
+TARGET=lorenz
+
+cd $HOME
+touch $HOME/.Xauthority
+
+[ ! -s $HOME/.ssh/id_rsa.ceci ] && exit
+chmod 600 $HOME/.ssh/id_rsa.ceci
+
+[ -s $HOME/.ssh/config ] && mv $HOME/.ssh/config $HOME/.ssh/config_old
+
+[ ! -f $HOME/.ssh/id_rsa.pub ] && cat /dev/zero | ssh-keygen -q -N "" > /dev/null
+cat ceci_config | sed -e 's/jsmith/'$USER'/g' > $HOME/.ssh/config
+
+ssh-copy-id -i $HOME/.ssh/id_rsa gwcism #2> /dev/null
+ssh-copy-id -i $HOME/.ssh/id_rsa $TARGET #2> /dev/null

+ 13 - 0
install_elic.sh

@@ -0,0 +1,13 @@
+#!/bin/bash
+
+TARGET=manneback
+
+cd $HOME
+touch $HOME/.Xauthority
+
+[ ! -s $HOME/.ssh/id_rsa.ceci ] && exit
+chmod 600 $HOME/.ssh/id_rsa.ceci
+
+[ -s $HOME/.ssh/config ] && mv $HOME/.ssh/config $HOME/.ssh/config_old
+
+cat elic_config | sed -e 's/jsmith/'$USER'/g' > $HOME/.ssh/config

+ 0 - 113
ssh_config

@@ -1,113 +0,0 @@
-# Generalities ------------------------------------------------------------------------------------
-
-Host *
-    ServerAliveInterval 60
-
-# Gateways ----------------------------------------------------------------------------------------
-
-Host gwelic gwcism gwceci
-    User my_login
-    ForwardX11 yes
-    IdentityFile ~/.ssh/id_rsa.ceci
-
-Host gwelic
-    Hostname www.climate.be
-Host gwcism
-    Hostname gwcism.cism.ucl.ac.be
-Host gwceci
-    Hostname gwceci.cism.ucl.ac.be
-
-# Jump --------------------------------------------------------------------------------------------
-
-Host *%gwelic
-    ProxyJump gwelic
-Host *%gwcism
-    ProxyJump gwcism
-Host *%gwceci
-    ProxyJump gwceci
-
-# ELIC ---------------------------------------------------------------------------------------------
-
-Host *meteor* *lorenz* *aurora* *storm* *pelican* *coriolis* *cyclone*
-    ForwardX11 yes
-    User my_login
-    IdentityFile ~/.ssh/id_rsa.ceci
-
-Host *cyclone*
-    HostName cyclone.elic.ucl.ac.be
-Host *cyclone%gwelic
-Host *cyclone%gwcism
-Host *coriolis*
-    HostName coriolis.elic.ucl.ac.be
-Host *coriolis%gwelic
-Host *coriolis%gwcism
-Host *meteor*
-    HostName meteor.elic.ucl.ac.be
-Host *meteor%gwelic
-Host *meteor%gwcism
-Host *lorenz*
-    HostName lorenz.elic.ucl.ac.be
-Host *lorenz%gwelic
-Host *lorenz%gwcism
-Host *aurora*
-    HostName aurora.elic.ucl.ac.be
-Host *aurora%gwelic
-Host *aurora%gwcism
-Host *storm*
-    HostName storm.elic.ucl.ac.be
-Host *storm%gwcism
-Host *storm%gwelic
-Host *pelican*
-    HostName pelican.cism.ucl.ac.be
-Host *pelican%gwcism
-Host *pelican%gwelic
-
-# Git ---------------------------------------------------------------------------------------------
-
-Host gogs*
-    User git
-    IdentityFile ~/.ssh/id_rsa.ceci
-    Hostname www.climate.be
-    ForwardX11 no
-    ForwardX11Trusted no
-    Port 3022
-    ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwceci.cism.ucl.ac.be -W %h:%p
-
-# Tier-1 ------------------------------------------------------------------------------------------
-
-Host zenobe*
-    User my_login
-    ForwardX11 yes
-    Hostname zenobe.hpc.cenaero.be
-    IdentityFile ~/.ssh/id_rsa.ceci
-    ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwcism.cism.ucl.ac.be -W %h:%p
-
-# CÉCI clusters -----------------------------------------------------------------------------------
-
-Host hmem hercules dragon1 vega nic5 lemaitre3 manneback
-    User my_login
-    ForwardX11 yes
-    IdentityFile ~/.ssh/id_rsa.ceci
-    ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwceci.cism.ucl.ac.be -W %h:%p
-
-Host hmem
-    HostName hmem.cism.ucl.ac.be
-Host lemaitre3
-    HostName lemaitre3.cism.ucl.ac.be
-Host vega
-    HostName vega.ulb.ac.be
-Host nic5
-    HostName nic5.segi.ulg.ac.be
-Host hercules
-    Hostname hercules.ptci.unamur.be
-Host dragon1
-    Hostname dragon1.umons.ac.be
-Host manneback
-    HostName manneback.cism.ucl.ac.be
-
-# CISM clusters -----------------------------------------------------------------------------------
-
-Host storage*
-    HostName storage.cism.ucl.ac.be
-    User my_login
-Host storage%gwcism

BIN
sshpass/bin/sshpass


+ 0 - 122
sshpass/share/man/man1/sshpass.1

@@ -1,122 +0,0 @@
-.TH SSHPASS 1 "April 25, 2015" "Lingnu Open Source Consulting" "Sshpass User Manual"
-.\" Please adjust this date whenever revising the manpage.
-.SH NAME
-sshpass \- noninteractive ssh password provider
-.SH SYNOPSIS
-.B sshpass
-.RB [ -f\fIfilename | -d\fInum | -p\fIpassword | -e ]
-.RI [ options ] " command arguments"
-.br
-.SH DESCRIPTION
-This manual page documents the \fBsshpass\fP command.
-.PP
-\fBsshpass\fP is a utility designed for running \fBssh\fP using the mode referred
-to as "keyboard-interactive" password authentication, but in non-interactive mode.
-.PP
-ssh uses direct TTY access to make sure that the password is indeed issued by
-an interactive keyboard user. Sshpass runs ssh in a dedicated tty, fooling it
-into thinking it is getting the password from an interactive user.
-.PP
-The command to run is specified after sshpass' own options. Typically it will be
-"ssh" with arguments, but it can just as well be any other command. The password
-prompt used by ssh is, however, currently hardcoded into sshpass.
-.SH Options
-If no option is given, sshpass reads the password from the standard input. The
-user may give at most one alternative source for the password:
-.TP
-.B \-p\fIpassword\fP
-The password is given on the command line. Please note the section titled
-"\fBSECURITY CONSIDERATIONS\fP".
-.TP
-.B \-f\fIfilename\fP
-The password is the first line of the file \fIfilename\fP.
-.TP
-.B \-d\fInumber\fP
-\fInumber\fP is a file descriptor inherited by sshpass from the runner. The
-password is read from the open file descriptor.
-.TP
-.B \-e
-The password is taken from the environment variable "SSHPASS".
-.TP
-.B \-P
-Set the password prompt. Sshpass searched for this prompt in the program's
-output to the TTY as an indication when to send the password. By default
-sshpass looks for the string "assword:" (which matches both "Password:" and
-"password:"). If your client's prompt does not fall under either of these,
-you can override the default with this option.
-.TP
-.B \-v
-Be verbose. sshpass will output to stderr information that should help debug
-cases where the connection hangs, seemingly for no good reason.
-.SH SECURITY CONSIDERATIONS
-.P
-First and foremost, users of sshpass should realize that ssh's insistance on
-only getting the password interactively is not without reason. It is close to
-impossible to securely store the password, and users of sshpass should consider
-whether ssh's public key authentication provides the same end-user experience,
-while involving less hassle and being more secure.
-.P
-The \-p option should be considered the least secure of all of sshpass's options.
-All system users can see the password in the command line with a simple "ps"
-command. Sshpass makes a minimal attempt to hide the password, but such attempts are doomed to create
-race conditions without actually solving the problem. Users of sshpass are
-encouraged to use one of the other password passing techniques, which are all
-more secure.
-.P
-In particular, people writing programs that are meant to communicate the password
-programatically are encouraged to use an anonymous pipe and pass the pipe's reading
-end to sshpass using the \-d option.
-.SH RETURN VALUES
-As with any other program, sshpass returns 0 on success. In case of failure, the following
-return codes are used:
-.TP
-1
-Invalid command line argument
-.TP
-2
-Conflicting arguments given
-.TP
-3
-General runtime error
-.TP
-4
-Unrecognized response from ssh (parse error)
-.TP
-5
-Invalid/incorrect password
-.TP
-6
-Host public key is unknown. sshpass exits without confirming the new key.
-.P
-In addition, ssh might be complaining about a man in the middle attack. This
-complaint does not go to the tty. In other words, even with sshpass, the error
-message from ssh is printed to standard error. In such a case ssh's return code
-is reported back. This is typically an unimaginative (and non-informative) "255"
-for all error cases.
-.SH EXAMPLES
-.P
-Run rsync over SSH using password authentication, passing the password on the
-command line:
-.PP
-rsync \-\-rsh='sshpass \-p 12345 ssh \-l test' host.example.com:path .
-.P
-To do the same from a bourne shell script in a marginally less exposed way:
-.PP
-SSHPASS=12345 rsync \-\-rsh='sshpass \-e ssh \-l test' host.example.com:path .
-.SH BUGS
-.P
-Sshpass is in its infancy at the moment. As such, bugs are highly possible. In
-particular, if the password is read from stdin (no password option at all), it
-is possible that some of the input aimed to be passed to ssh will be read by
-sshpass and lost.
-.P
-Sshpass utilizes the \fBpty\fR(7) interface to control the TTY for ssh. This interface,
-at least on Linux, has a misfeature where if no slave file descriptors are open, the
-master pty returns \fBEIO\fR. This is the normal behavior, except a slave pty may
-be born at any point by a program opening \fB/dev/tty\fR. This makes it impossible
-to reliably wait for events without consuming 100% of the CPU.
-.P
-Over the various versions different approaches were attempted at solving this problem.
-Any given version of sshpass is released with the belief that it is working, but experience
-has shown that these things do, occasionally, break. This happened with OpenSSH version 5.6.
-As of this writing, it is believed that sshpass is, again, working properly.

+ 7 - 7
station_config

@@ -6,7 +6,7 @@ Host *
 # Gateways ----------------------------------------------------------------------------------------
 
 Host gwelic gwcism gwceci
-    User pbarriat
+    User jsmith
     ForwardX11 yes
     IdentityFile ~/.ssh/id_rsa.ceci
 
@@ -33,7 +33,7 @@ Host *meteor* *lorenz* *aurora* *pelican* *coriolis* *cyclone*
     IdentityFile ~/.ssh/id_rsa.ceci
 
 Host meteor* lorenz* aurora* pelican* coriolis* cyclone*
-    User pbarriat
+    User jsmith
 
 Host *cyclone*
     HostName cyclone.elic.ucl.ac.be
@@ -80,16 +80,16 @@ Host gogs*
 # Tier-1 ------------------------------------------------------------------------------------------
 
 Host zenobe*
-    User pbarriat
+    User jsmith
     ForwardX11 yes
     Hostname zenobe.hpc.cenaero.be
     IdentityFile ~/.ssh/id_rsa.ceci
-    ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwcism.cism.ucl.ac.be -W %h:%p
+    ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwceci.cism.ucl.ac.be -W %h:%p
 
 # CÉCI clusters -----------------------------------------------------------------------------------
 
 Host nic5 lemaitre3 manneback
-    User pbarriat
+    User jsmith
     ForwardX11 yes
     IdentityFile ~/.ssh/id_rsa.ceci
     ProxyCommand ssh -i ~/.ssh/id_rsa.ceci gwceci.cism.ucl.ac.be -W %h:%p
@@ -105,7 +105,7 @@ Host manneback
 
 Host storage*
     HostName storage.cism.ucl.ac.be
-    User pbarriat
+    User jsmith
 Host storage%gwcism
 
 # PRIVATE -----------------------------------------------------------------------------------------
@@ -113,7 +113,7 @@ Host storage%gwcism
 Host mine*
     HostName xxx.xxx.xxx.xxx
     ForwardX11 yes
-    User pbarriat
+    User jsmith
 Host mine%gwelic
 Host mine%gwceci
 Host mine%gwcism